using VT.FW.DB;
using System;

namespace Mall.Model.Entity.Finance
{

    /// <summary>
    /// 电商
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "FinanceConnection")]
    public class RB_ECFinanceId_Relation
    {

        /// <summary>
        /// ID
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 电商订单Id
        /// </summary>        
        public int? ECOrderId
        {
            get;
            set;
        }
        /// <summary>
        /// 电商订单明细Id
        /// </summary>        
        public int? ECOrderDetailId
        {
            get;
            set;
        }
        /// <summary>
        /// 财务单据id
        /// </summary>        
        public int? FinanceId
        {
            get;
            set;
        }
        /// <summary>
        /// 状态
        /// </summary>        
        public Common.Enum.DateStateEnum? Status
        {
            get;
            set;
        }
        /// <summary>
        /// 期初应用时间
        /// </summary>
        public DateTime? CreateDate { get; set; }

    }
}